using System;
using System.Collections.Generic;
using System.Text;

namespace OOPModel
{
    class Model
    {
    }

    class Konto
    {
        private int etKontonr;
        private double enPrimoSaldo;
        private long enDato;
        private int antalTransaktioner;
        private Transaktion[] t = new Transaktion[100];

        public Konto() // Default constructor
        {
            etKontonr = 0;
            enPrimoSaldo = 0.0;
            enDato = DateTime.Today.Year * 10000 + DateTime.Today.Month * 100 +
                DateTime.Today.Day;
            antalTransaktioner = 0;
        }

        public Konto(int nyKontonr, double nySaldo)
        {
            etKontonr = nyKontonr;
            enPrimoSaldo = nySaldo;
        }

        public int getKontonr()
        {
            return etKontonr;
        }

        public double getSaldo()
        {
            return enPrimoSaldo;
        }

        public void setKontonr(int nyKontonr)
        {
            etKontonr = nyKontonr;
        }

        public void setSaldo(double nySaldo)
        {
            enPrimoSaldo = nySaldo;
        }

        public void indsaet(double nyBeloeb)
        {
            enPrimoSaldo = enPrimoSaldo + nyBeloeb;
        }

        public void haev(double nyBeloeb)
        {
            enPrimoSaldo = enPrimoSaldo - nyBeloeb;
        }

    }

    class Transaktion
    {
        private long enDato; // YYYYMMDD
        private string enTekst;
        private double etBeloeb;

        public Transaktion()
        {
            enDato = DateTime.Today.Year * 10000 + DateTime.Today.Month * 100 +
                DateTime.Today.Day;
            enTekst = "";
            etBeloeb = 0.0;
        }

        public long getDato()
        {
            return enDato;
        }

        public string getTekst()
        {
            return enTekst;
        }

        public double getBeloeb()
        {
            return etBeloeb;
        }

        public void setDato(long nyDato)
        {
            enDato = nyDato;
        }

        public void setTekst(string nyTekst)
        {
            enTekst = nyTekst;
        }

        public void setBeloeb(double nyBeloeb)
        {
            etBeloeb = nyBeloeb;
        }

    }

}
